---@meta

---@class UWG_GearShifter_C : UCommonActivatableWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Shifter UImage
---@field Image_73 UImage
---@field DebugShifter_Target UImage
---@field DebugShifter_SecondaryTarget UImage
---@field DebugShifter UImage
---@field ['Gear Box'] URGGearBox
---@field XRange FVector2D
---@field YRange FVector2D
local UWG_GearShifter_C = {}

---@param Target UWidget
---@param NormalizedPosition FVector2D
function UWG_GearShifter_C:UpdateShifterPosition(Target, NormalizedPosition) end
---@param GearBox URGGearBox
function UWG_GearShifter_C:SetGearBox(GearBox) end
---@param GearShifterXRaw double
---@param GearShifterYRaw double
---@param GearShifterXDisplay double
---@param GearShifterYDisplay double
function UWG_GearShifter_C:UpdateGearShifterPosition(GearShifterXRaw, GearShifterYRaw, GearShifterXDisplay, GearShifterYDisplay) end
---@param MyGeometry FGeometry
---@param InDeltaTime float
function UWG_GearShifter_C:Tick(MyGeometry, InDeltaTime) end
---@param EntryPoint int32
function UWG_GearShifter_C:ExecuteUbergraph_WG_GearShifter(EntryPoint) end


